DELETE/ pipelines/ :id/
Delete pipeline
You can remove a pipeline.
Attributes
Optional unless marked required
- id
- A unique identifier for the pipeline which is given by User automatically.
Request
- cURL
- JavaScript
- PHP
- Python
curl -X DELETE "https://<your_app_subdomain>.user.com/api/public/pipelines/:id/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2"
const response = await fetch(
"https://<your_app_subdomain>.user.com/api/public/pipelines/:id/",
{
method: "DELETE",
headers: {
Authorization: "Token <your_64_char_api_key>",
Accept: "*/*; version=2",
},
},
);
console.log(response.status);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/pipelines/:id/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Token <your_64_char_api_key>",
"Accept: */*; version=2",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
response = requests.delete(
"https://<your_app_subdomain>.user.com/api/public/pipelines/:id/",
headers={
"Authorization": "Token <your_64_char_api_key>",
"Accept": "*/*; version=2",
},
)
print(response.status_code)
Response examples
- 204 No Content
- 404 Not Found
No response body.
{
"detail": "No Pipeline matches the given query."
}
note
Errors that can come from any endpoint (401, 429, 500, 502, 504) are described in HTTP response codes.